const Router = require('@koa/router');

const controller = require('src/controllers/index.js');
const apiRouter = require('./api/index.js');
const oauthRouter = require('./oauth/index.js');

const r = new Router();
module.exports = r;

r.get('/', controller.healthCheck);
r.get(['/apple-app-site-association', '/.well-known/apple-app-site-association'], controller.appleAppSiteAssociation);

r.use(apiRouter.routes());
r.use(oauthRouter.routes());
